Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# SchemeImpl Class Reference
[Parsers]

Inheritance diagram for SchemeImpl:

## Detailed Description

Scheme storage implementation.

Manages the vector of SchemeNode's.

## Public Methods

const String * | getName () const
FileType * | getFileType () const

## Protected Methods

| SchemeImpl (const String *sn)

## Protected Attributes

String * | schemeName
Vector< SchemeNode * > | nodes
SchemeAccessType | accessType
FileTypeImpl * | fileType

Colorer-take5 Library. Copyright © 1999-2003 Cail Lomecb.
Generated at Fri Sep 12 18:54:57 2003 by doxygen 1.3-rc2.